# PolyU-BeforeSchoolAssignment

Even we are not registered yet, it asks us to do this assignment, LMAO. (( Helmet: this is my dreamland, pls don't report me. :'(

&nbsp;

# Menu
  + [Usage](#usage)
  + [Used Libraries](#used-libraries)

&nbsp;

## Usage
Command-Line Argument:

| Argument | Description |
|:---       |:--- |
| --config \<file> | Indicate program to use the specific configuration file |
| --save_config \<file>    | Save the running configuration file. |
| --create-student \<json> | Create a student by JSON string (for lazy people =w=). |

[back to menu](#menu)
&nbsp;

## Used Libraries
| Library Name | Link |
|:---          | :--- |
| Google Gson  | https://github.com/google/gson |
| SQLite       | https://www.sqlite.org/index.html <br> https://bitbucket.org/xerial/sqlite-jdbc/downloads/ |


[back to menu](#menu)
&nbsp;